#

API Docs for:
Show: Inherited Protected Private Deprecated

# BottomAxisLayout Class

Defined in: `input/charts/BottomAxisLayout.js:1`
Module: charts

Contains algorithms for rendering a bottom axis.

- Index
- Methods

## Item Index

### Methods

- _getDefaultMargins
- _getTransformOrigin
- _setRotationCoords
- drawTick
- getExplicitlySized
- getLabelPoint
- getLineStart
- offsetNodeForTick
- positionLabel
- positionTitle
- setCalculatedSize
- setTickOffsets
- updateMaxLabelSize

## Methods

### `_getDefaultMargins`

() private

Defined in `input/charts/BottomAxisLayout.js:11`

Default margins for text fields.

#### Returns:

Object

### `_getTransformOrigin`

(

- `rot`

)
protected

Defined in `input/charts/BottomAxisLayout.js:289`

Returns the transformOrigin to use for an axis label based on the position of the axis and the rotation of the label.

#### Parameters:

- `rot` Number

  The rotation (in degrees) of the label.

#### Returns:

Array

### `_setRotationCoords`

(

- `props`

)
protected

Defined in `input/charts/BottomAxisLayout.js:254`

Adjusts the coordinates of an axis label based on the rotation.

#### Parameters:

- `props` Object

  Coordinates, dimension and rotation properties of the label.

### `drawTick`

(

- `path`
- `pt`
- `tickStyles`

)
protected

Defined in `input/charts/BottomAxisLayout.js:90`

Draws a tick

#### Parameters:

- `path` Path

  reference to the path `Path` element in which to draw the tick.

- `pt` Object

  hash containing x and y coordinates

- `tickStyles` Object

  hash of properties used to draw the tick

### `getExplicitlySized`

() protected

Defined in `input/charts/BottomAxisLayout.js:154`

Determines the available label height when the axis width has been explicitly set.

#### Returns:

Boolean

### `getLabelPoint`

(

- `pt`

)
protected

Defined in `input/charts/BottomAxisLayout.js:110`

Calculates the point for a label.

#### Parameters:

- `pt` Object

  Object containing x and y coordinates

#### Returns:

Object

### `getLineStart`

() protected

Defined in `input/charts/BottomAxisLayout.js:65`

Calculates the coordinates for the first point on an axis.

### `offsetNodeForTick`

(

- `cb`

)
protected

Defined in `input/charts/BottomAxisLayout.js:316`

Adjusts position for inner ticks.

#### Parameters:

- `cb` Node

  contentBox of the axis

### `positionLabel`

(

- `label`
- `pt`

)
protected

Defined in `input/charts/BottomAxisLayout.js:206`

Rotate and position labels.

#### Parameters:

- `label` HTMLElement

  to rotate position

- `pt` Object

  hash containing the x and y coordinates in which the label will be positioned against.

### `positionTitle`

(

- `label`

)
protected

Defined in `input/charts/BottomAxisLayout.js:176`

Rotate and position title.

#### Parameters:

- `label` HTMLElement

  to rotate position

### `setCalculatedSize`

() protected

Defined in `input/charts/BottomAxisLayout.js:329`

Assigns a height based on the size of the contents.

### `setTickOffsets`

() protected

Defined in `input/charts/BottomAxisLayout.js:28`

Sets the length of the tick on either side of the axis line.

### `updateMaxLabelSize`

(

- `label`

)
protected

Defined in `input/charts/BottomAxisLayout.js:123`

Updates the value for the `maxLabelSize` for use in calculating total size.

#### Parameters:

- `label` HTMLElement

  to measure